<?php

/*
 *
 * TabTeaser is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TabTeaser is based on the tutorial - Create an Image Rotator with Description (CSS/jQuery)
 * http://www.sohtanaka.com/web-design/examples/image-rotator/
 *
 * ported to pragmaMx by Baldyman & xmjay & comedi
 *
 * Version: TabTeaser_v1_2
 * Date: 20/03/2011 16:00:00
 *
 * Visit www.Hate-on-Wheels.de    &    http://www.webschau.info    &    http://www.mw-webservice.de
 *
 */

// Datei vor Direktaufruf schuetzen
if (!defined("mxMainFileLoaded")) die ("You can't access this file directly...");

// Modulname festlegen
$module_name = basename(dirname(__FILE__));

mxGetLangfile($module_name);

require_once(PMX_MODULES_DIR . DS . $module_name . '/t_config.php');

// rechte Bloecke an = 1, aus = 0
$index = (empty($lindex)) ? 0 : 1;

// zusaetzliche Stylesheets laden
pmxHeader::add_style('modules/' . $module_name . '/style/TabTeaser.css');

// zusaetzliche pragmaMx eigene Javascripte laden
pmxHeader::add_jquery();

// zusaetzliche Javascripte laden
pmxHeader::add_script('modules/' . $module_name . '/javascript/TabTeaser.js');

include("header.php");
OpenTable();

// Ausgabe
echo'<!--  TabTeaser_v1_2  -->

<!--  Bilder vorladen in den Cache damit nix zuckt ;-)  -->
<div id="imageCache">
<img src=\"modules/TabTeaser/images/big/' . $ttimg1 . '\" alt="" />
<img src=\"modules/TabTeaser/images/big/' . $ttimg2 . '\" alt="" />
<img src=\"modules/TabTeaser/images/big/' . $ttimg3 . '\" alt="" />
<img src=\"modules/TabTeaser/images/big/' . $ttimg4 . '\" alt="" />
<img src=\"modules/TabTeaser/images/big/' . $ttimg5 . '\" alt="" />
<img src=\"modules/TabTeaser/images/big/' . $ttimg6 . '\" alt="" />
<img src=\"modules/TabTeaser/images/thumb/' . $tttimg1 . '\" alt="" />
<img src=\"modules/TabTeaser/images/thumb/' . $tttimg2 . '\" alt="" />
<img src=\"modules/TabTeaser/images/thumb/' . $tttimg3 . '\" alt="" />
<img src=\"modules/TabTeaser/images/thumb/' . $tttimg4 . '\" alt="" />
<img src=\"modules/TabTeaser/images/thumb/' . $tttimg5 . '\" alt="" />
<img src=\"modules/TabTeaser/images/thumb/' . $tttimg6 . '\" alt="" />
</div>';

// Link zur Konfiguration anzeigen, wenn Admin anwesend
if (MX_IS_ADMIN) {
echo "<div><a href=\"admin.php?op=TabTeaser\"><img src=\"modules/". $module_name ."/images/sys.png\"  width=\"30\" height=\"30\" alt=\"\" /></a></div>";
}

echo '
<div class="main_image">
	<img src=\"modules/' . $module_name . '/images/big/' . $ttimg1 . '\" alt="" />
		<div class="desc">

				<div class="blockteaser">
					<h2>' . $tttitle1 . '</h2>
					<small>' . $ttdate1 . '</small>
					<p>' . $ttelei1 .'<a href="http://' . $tturl1 . '" target="_blank">' . _TTWL . '</a></p>
				</div>
			</div>
		</div>

<div class="image_thumb">
	<ul>
		<li>
			<a href=\"modules/' . $module_name . '/images/big/' . $ttimg1 . '\"><img src=\"modules/' . $module_name . '/images/thumb/' . $tttimg1 . '\" alt="" /></a>
				<div class="blockteaser">
					<h2>' . $tttitle1 . '</h2>
					<small>' . $ttdate1 . '</small>					
					<p>' . $ttelei1 .'<a href="http://' . $tturl1 . '" target="_blank">' . _TTWL . '</a> </p>
				</div>
		</li>
			
<!--ab hier zweites Bild-->

		<li>
			<a href=\"modules/' . $module_name . '/images/big/' . $ttimg2 . '\"><img src=\"modules/' . $module_name . '/images/thumb/' . $tttimg2 . '\" alt="" /></a>
				<div class="blockteaser">
					<h2>' . $tttitle2 . '</h2>
					<small>' . $ttdate2 . '</small>
					<p>' . $ttelei2 .'<a href="http://' . $tturl2 . '" target="_blank">' . _TTWL . '</a></p>
				</div>
		</li>

<!--ab hier drittes Bild-->

		<li>
			<a href=\"modules/' . $module_name . '/images/big/' . $ttimg3 . '\"><img src=\"modules/' . $module_name . '/images/thumb/' . $tttimg3 . '\" alt="" /></a>
				<div class="blockteaser">
					<h2>' . $tttitle3 . '</h2>
					<small>' . $ttdate3 . '</small>
					<p>' . $ttelei3 .'<a href="http://' . $tturl3 . '" target="_blank">' . _TTWL . '</a></p>
				</div>
		</li>

<!--ab hier viertes Bild-->

		<li>
			<a href=\"modules/' . $module_name . '/images/big/' . $ttimg4 . '\"><img src=\"modules/' . $module_name . '/images/thumb/' . $tttimg4 . '\" alt="" /></a>
				<div class="blockteaser">
					<h2>' . $tttitle4 . '</h2>
					<small>' . $ttdate4 . '</small>
					<p>' . $ttelei4 .'<a href="http://' . $tturl4 . '" target="_blank">' . _TTWL . '</a></p>
				</div>
		</li>

<!--ab hier fuenftes Bild-->

		<li>
			<a href=\"modules/' . $module_name . '/images/big/' . $ttimg5 . '\"><img src=\"modules/' . $module_name . '/images/thumb/' . $tttimg5 . '\" alt="" /></a>
				<div class="blockteaser">
					<h2>' . $tttitle5 . '</h2>
					<small>' . $ttdate5 . '</small>
					<p>' . $ttelei5 .'<a href="http://' . $tturl5 . '" target="_blank">' . _TTWL . '</a></p>
				</div>
		</li>

<!--ab hier sechstes Bild-->
			
		<li>
			<a href=\"modules/' . $module_name . '/images/big/' . $ttimg6 . '\"><img src=\"modules/' . $module_name . '/images/thumb/' . $tttimg6 . '\" alt="" /></a>
				<div class="blockteaser">
					<h2>' . $tttitle6 . '</h2>
					<small>' . $ttdate6 . '</small>
					<p>' . $ttelei6 .'<a href="http://' . $tturl6 . '" target="_blank">' . _TTWL . '</a></p>
				</div>
		</li>
			
</ul>
</div>

<!--  TabTeaser - ENDE  -->
';

CloseTable();
include("footer.php");

?>